Bug 131119 - CAN-2004-0687/8 libXpm stack and integer overflows.
CAN-2004-0687/8 libXpm stack and integer overflows.
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: Security
Depends On:
Blocks: CVE-2004-0687 CVE-2004-0688
  Show dependency treegraph
Reported: 2004-08-27 14:20 EDT by Josh Bressers
Modified: 2008-01-28 11:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-09 00:41:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-08-27 14:20:14 EDT
Chris Evans has discovered a number of stack overflows and an integer
overflow in the X.org libXpm library.  It is unknown what all uses
this library for xpm processing, so far we have verified that the gimp
does use it.

This issue currently has no embargo date.
Comment 1 Josh Bressers 2004-08-30 12:17:07 EDT
The embargo date for this issue is Sept 15.
Comment 2 Mike A. Harris 2004-09-14 20:34:30 EDT
Master bug, with patch:

Comment 4 Mike A. Harris 2004-09-15 02:25:42 EDT
Fixed in:
        4.3.0-69.EL for RHEL-3
        4.1.0-62.EL for RHEL-2.1

        4.3.0-69 for FC-1 (shares src.rpm with RHEL-3)
        6.7.0-8 for FC-2
        6.8.1 for FC-3 (once it's avail and built in rawhide)

RPM packages being submitted to beehive shortly.

Comment 5 Josh Bressers 2004-09-15 10:03:25 EDT
Removing embargo
Comment 6 Josh Bressers 2004-12-08 16:22:34 EST
Has this issue been fixed in FC2,3?
Comment 7 Mike A. Harris 2004-12-09 00:41:57 EST
Yes, and released as erratum.

Note You need to log in before you can comment on or make changes to this bug.